## gnome-color-manager 3.32.0

=== debian/changelog ===
gnome-color-manager (3.32.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 19 Sep 2019 20:26:39 -0400

gnome-color-manager (3.32.0-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum meson to 0.46.0
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gnome
  * Stop overriding libexecdir

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 08 Mar 2019 10:05:05 -0500

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-color-manager
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: appstream-util,
               debhelper-compat (= 12),
               dh-sequence-gnome,
               libgtk-3-dev (>= 3.3.8),
               libglib2.0-dev (>= 2.31.10),
               libvte-2.91-dev (>= 0.25.1),
               liblcms2-dev (>= 2.2),
               docbook-utils,
               docbook,
               itstool,
               libcanberra-gtk3-dev (>= 0.10),
               libtiff-dev,
               libcolord-dev (>= 1.3.1),
               libcolord-gtk-dev (>= 0.1.20),
               libexiv2-dev,
               libexif-dev,
               meson (>= 0.46.0),
               xauth <!nocheck>,
               xvfb <!nocheck>
Standards-Version: 4.3.0
X-Ubuntu-Use-Langpack: yes
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-color-manager
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-color-manager.git
Homepage: https://git.gnome.org/browse/gnome-color-manager

Package: gnome-color-manager
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         policykit-1,
         colord (>= 1.3.1)
Recommends: argyll
Description: Color management integration for the GNOME desktop environment
 GNOME Color Manager is a set of graphical utilities for color
 management to be used in the GNOME desktop.  With the help of
 ArgyllCMS, it can create and apply display ICC color profiles.

## gnome-color-manager 3.36.0

=== meson_options.txt ===
option('tests', type : 'boolean', value : true, description : 'enable tests')

=== debian/changelog ===
gnome-color-manager (3.36.0-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:05:53 +0000

gnome-color-manager (3.36.0-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:38:31 +0000

gnome-color-manager (3.36.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13
  * Add debian/upstream/metadata
  * Update standards version to 4.6.2, no changes needed
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 16 Aug 2023 08:44:47 -0400

gnome-color-manager (3.36.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 02 Apr 2020 22:21:48 -0400

gnome-color-manager (3.35.90-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTBFS with nocheck profile. (Closes: #914832)

  [ Laurent Bigonville ]
  * New upstream release
    - debian/control.in: Adjust the (build-)dependencies
    - debian/patches/01_unity_control_center.patch: Dropped, doesn't seem
      needed anymore
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)
  * debian/control.in: Set Rules-Requires-Root: no

 -- Laurent Bigonville <bigon@debian.org>  Sat, 14 Mar 2020 00:57:12 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-color-manager
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: appstream-util,
               debhelper-compat (= 13),
               dh-sequence-gnome,
               libgtk-3-dev (>= 3.3.8),
               libglib2.0-dev (>= 2.31.10),
               liblcms2-dev (>= 2.2),
               docbook-utils,
               itstool,
               libcanberra-gtk3-dev (>= 0.10),
               libcolord-dev (>= 1.3.1),
               meson (>= 0.46.0),
               xauth <!nocheck>,
               xvfb <!nocheck>
Standards-Version: 4.6.2
Rules-Requires-Root: no
X-Ubuntu-Use-Langpack: yes
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-color-manager
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-color-manager.git
Homepage: https://git.gnome.org/browse/gnome-color-manager

Package: gnome-color-manager
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         colord (>= 1.3.1)
Description: Color management integration for the GNOME desktop environment
 GNOME Color Manager is a set of graphical utilities for color
 management to be used in the GNOME desktop.  With the help of
 ArgyllCMS, it can create and apply display ICC color profiles.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	xvfb-run -a dh_auto_test
endif

override_dh_installdocs:
	dh_installdocs
	mkdir -p debian/gnome-color-manager/usr/share/doc/gnome-color-manager
	appstream-util appdata-to-news $(CURDIR)/*/data/appdata/org.gnome.ColorProfileViewer.appdata.xml \
	> debian/gnome-color-manager/usr/share/doc/gnome-color-manager/NEWS

## gnome-color-manager 3.36.2

=== debian/changelog ===
gnome-color-manager (3.36.2-2) unstable; urgency=medium

  * Team upload
  * Replace use of appstream-util with appstreamcli

 -- Matthias Klumpp <mak@debian.org>  Sat, 03 May 2025 15:46:21 +0200

gnome-color-manager (3.36.2-1) unstable; urgency=medium

  * New upstream release
  * Stop using debian/control.in and dh-sequence-gnome
  * Run wrap-and-sort
  * Opt into Salsa CI
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 21 Jan 2025 09:29:12 -0500

=== debian/control ===
Source: gnome-color-manager
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
           Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper-compat (= 13),
               appstream,
               docbook-utils,
               itstool,
               libcanberra-gtk3-dev (>= 0.10),
               libcolord-dev (>= 1.3.1),
               libglib2.0-dev (>= 2.31.10),
               libgtk-3-dev (>= 3.4),
               liblcms2-dev (>= 2.2),
               meson (>= 0.46.0),
               xauth <!nocheck>,
               xvfb <!nocheck>
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-color-manager
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-color-manager.git
Homepage: https://git.gnome.org/browse/gnome-color-manager

Package: gnome-color-manager
Architecture: any
Depends: colord (>= 1.3.1), ${misc:Depends}, ${shlibs:Depends}
Description: Color management integration for the GNOME desktop environment
 GNOME Color Manager is a set of graphical utilities for color
 management to be used in the GNOME desktop.  With the help of
 ArgyllCMS, it can create and apply display ICC color profiles.

=== debian/rules ===
--- 
+++ 
@@ -14,5 +14,5 @@
 override_dh_installdocs:
 	dh_installdocs
 	mkdir -p debian/gnome-color-manager/usr/share/doc/gnome-color-manager
-	appstream-util appdata-to-news $(CURDIR)/*/data/appdata/org.gnome.ColorProfileViewer.appdata.xml \
-	> debian/gnome-color-manager/usr/share/doc/gnome-color-manager/NEWS
+	appstreamcli metainfo-to-news $(CURDIR)/*/data/appdata/org.gnome.ColorProfileViewer.appdata.xml \
+	 debian/gnome-color-manager/usr/share/doc/gnome-color-manager/NEWS
